unit TabSheet;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, System.ComponentModel;

type
  TfrmTabSheet = class(TForm)
    PageControl1: TPageControl;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTabSheet: TfrmTabSheet;

implementation

{$R *.dfm}

procedure TfrmTabSheet.FormCreate(Sender: TObject);
    var
i:integer;
begin
    for i:=0 to 2 do
    begin
    with Ttabsheet.create(self) do
    begin
    PageControl:=PageControl1;
    Caption:= 'TabSheet'+IntToStr(i+1);
    end;
end;
end;
end.
